import { OnDestroy, OnInit } from '@angular/core';
import { BsDatepickerConfig, BsDaterangepickerDirective } from 'ngx-bootstrap/datepicker';
import { InlineValue } from '../../abstract/inline-value';
/**
 * LF date-range component.
 */
export declare class DateRangeComponent extends InlineValue implements OnInit, OnDestroy {
    /**
     * Date-range picker directive.
     */
    _bsDateRangePicker: BsDaterangepickerDirective;
    _dummyValue: [Date, Date] | null;
    protected _settingValue: boolean;
    private disposeDateRangeAutorun;
    private disposeBsConfigObserve;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Format for a single date.
     */
    readonly dateFormat: string;
    /**
     * Separator used between the dates in the date-range.
     */
    readonly separator: string;
    /**
     * Placeholder of the `input` field.
     */
    readonly placeholder: string;
    /**
     * Whether to show the "is required" icon on the component.
     */
    readonly showIsRequired: boolean;
    /**
     * Configuration to use by Bootstrap datepicker.
     */
    readonly bsConfig: Partial<BsDatepickerConfig>;
    /**
     * Action to run whenever the date range is modified via the Bootstrap
     * datepicker UI.
     * @param dateRange Tuple representing the range.
     */
    _onDateRangePickerChange(dateRange: [Date, Date] | null): void;
    _onFocus(evt: FocusEvent): void;
    /**
     * Set touched when the date picker is hidden rather than on blur (it is
     * possible to change the value via the popup without actually focusing the
     * input; besides, otherwise the input may go invalid when the user selects
     * the first date of the range, but before the second).
     */
    _onDateRangePickerHidden(): void;
    protected validatePath(): void;
}
