import { OnDestroy, OnInit } from '@angular/core';
import { BsDatepickerConfig, BsDatepickerDirective } from 'ngx-bootstrap/datepicker';
import { InlineValue } from '../../abstract/inline-value';
/**
 * LF date component.
 */
export declare class DateComponent extends InlineValue implements OnInit, OnDestroy {
    /**
     * Datepicker directive.
     */
    _bsDatePicker: BsDatepickerDirective;
    private disposeBsConfigObserve;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Format of the date.
     */
    readonly dateFormat: string;
    /**
     * Placeholder of the `input` field.
     */
    readonly placeholder: string;
    /**
     * Whether to show the "is required" icon on the component.
     */
    readonly showIsRequired: boolean;
    /**
     * Config for the `BsDatepicker`.
     */
    readonly bsConfig: Partial<BsDatepickerConfig>;
    /**
     * Action to run whenever the date `input` changes.
     * @param date Date to set.
     */
    _onDatePickerChange(date: Date | null): void;
    _onFocus(evt: FocusEvent): void;
    /**
     * Set touched when the date picker is hidden rather than on blur (it is
     * possible to change the value via the popup without actually focusing the
     * input).
     */
    _onDatePickerHidden(): void;
    protected validatePath(): void;
}
